FreeBSD Port: mytop-1.6_3

Paul Laudanski paul at castlecops.com
Sun May 13 04:10:15 UTC 2007


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Yen-Ming Lee wrote:
>> Greetings folks, I have a query about the requirements for this port.
>>
>> I have MySQL Server & Client 5.1.15, plus I was planning on installed
>> p5-DBD-mysql51 ...
>>
>> Is that OK as they are newer versions?  Or will ports require that the
>> older versions be installed like mysql-client-5.0.37, p5-DBD-mysql-4.003?
> 
> No, mytop needs ${SITE_PERL}/${PERL_ARCH}/DBD/mysql.pm, and it doesn't
> care about where it comes from. So, if you would like to use specific
> version of p5-DBD-mysql, say p5-DBD-mysql51, install it first, and then
> mytop will depends on it, otherwise mytop will depends on p5-DBD-mysql,
> which default version is 4.003.
> 
> However, you can also set WANT_MYSQL_VER=51 when installing mytop
> or p5-DBD-mysql, and they will depend on mysql-client-5.1.x as you want.

Thank you for the explanation and advice, its appreciated.


- --
Paul Laudanski, CastleCops®, www.castlecops.com
Submit Phish: www.castlecops.com/pirt
http://www.linkedin.com/pub/1/49a/17b
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFGRo+vHP6ZmSxUymURAsMlAKCBTyNz8qsorSCaNlCVvK9dtTJ4UgCdEoM2
CE023eQXNQ9eVe1N9xETXWc=
=ywTM
-----END PGP SIGNATURE-----


More information about the freebsd-ports mailing list